%define name bcast
%define version 2000a
%define release 2mdk

Summary: Non-linear production environment for audio and video
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Video
Source: http://heroinewarrior.com/%{name}-%{version}-src.tar.bz2
# Icon for the Mandrake menu
Source1: bcast.xpm.bz2
URL: http://heroinewarrior.com/bcast2000.html
BuildRoot: /var/tmp/%{name}-buildroot
Provides: libbcbase.so

%description
A full-featured video and audio production environment.

It's not about bits and bytes.  It's about transforming the impossible
into reality.  We all have impossible dreams.  Heroine Virtual gives
you the tools you need to envision your wildest dreams.

%prep

rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%setup -q
# All files of the source tarball are read-only
chmod -R u+w .
# Unfortunately, there are still binaries in the source tarball (broken "make 
# clean"). So clean up manually
for i in  '*.o' '*.a' '*.so' '*.so.*' 'core' ; do 
  find . -name $i -exec rm '{}' \;
done
# Replace all hard-coded /usr/local by /usr
for i in `find . -type f -name '*' -print` ; do sed "s:/usr/local:/usr:" $i > $i.new; chmod --reference=$i $i.new; mv -f $i.new $i; done
# Replace all hard-coded /usr/etc (former /usr/local/etc) by /etc
for i in `find . -type f -name '*' -print` ; do sed "s:/usr/etc:/etc:" $i > $i.new; chmod --reference=$i $i.new; mv -f $i.new $i; done
# Fix a missing "libmpeg3" entry in the main Makefile
sed "s/pluginpack bcast/libmpeg3 pluginpack bcast/" Makefile > Makefile.new
mv -f Makefile.new Makefile
# Load menu icon
bzcat %{SOURCE1} > $RPM_BUILD_DIR/%{name}-%{version}/bcast.xpm

%build
# The flags are necessary, do not remove them!
export CFLAGS="-I. -I.. -I../.. ${CFLAGS:-%optflags} -malign-loops=2 -malign-jumps=2 -malign-functions=2"; export CXXFLAGS="-I. -I.. -I../.. ${CXXFLAGS:-%optflags} -malign-loops=2 -malign-jumps=2 -malign-functions=2"; %configure
%make

%install
	mkdir -p $RPM_BUILD_ROOT/usr/%{name}/plugins
	mkdir -p $RPM_BUILD_ROOT%{_bindir}
	cp %{name}/bcast2000 $RPM_BUILD_ROOT/usr/%{name}
	cp bcbase/libbcbase.so $RPM_BUILD_ROOT/usr/%{name}
	strip plugins/*.plugin
	cp plugins/*.plugin $RPM_BUILD_ROOT/usr/%{name}/plugins
	cp bcast2000.sh $RPM_BUILD_ROOT/usr/%{name}
	cp record_script $RPM_BUILD_ROOT/usr/%{name}
	( cd $RPM_BUILD_ROOT%{_bindir}
	  ln -sf ../%{name}/bcast2000.sh %{name}
	)

# install menu icon

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/locolor/16x16/apps/
install -m 644 bcast.xpm $RPM_BUILD_ROOT%{_datadir}/icons/locolor/16x16/apps/

# install menu entry
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu

cat <<EOF > $RPM_BUILD_ROOT/usr/lib/menu/bcast
?package(bcast): needs=X11 \
section=Multimedia/Video \
title="Broadcast 2000" \
command="/usr/bin/bcast" \
icon="/usr/share/icons/locolor/16x16/apps/bcast.xpm"
EOF

%post

## menu
if [ -x /usr/bin/update-menus ]; then
        /usr/bin/update-menus
fi

%postun

## menu
if [ "$1" = 0 ]; then
        if [ -x /usr/bin/update-menus ]; then
                /usr/bin/update-menus
        fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc docs/*
%{_bindir}/%{name}
/usr/%{name}
# menu entry
%{_datadir}/icons/locolor/16x16/apps/
%{_libdir}/menu

%changelog

* Wed Sep 06 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 2000a-2mdk
- Corrected "Group:" entry in specfile

* Thu Aug 31 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 2000a-1mdk
- "Mandrakized" the original RPM provided by the authors
- initial release
